import { InitProps, TrackingSpi } from './tracking_spi';
import { TrackingApi, TrackingEventProperties } from './tracking_api';
export declare class ConsoleTrackingProvider implements TrackingSpi, TrackingApi {
    private verbose;
    trackPageView(url: string | undefined): void;
    initialize(props: InitProps): void;
    identify(userID: string, userProperties?: TrackingEventProperties): void;
    trackSingleItem(item: string, properties?: TrackingEventProperties): void;
}
